# ``twisted`.`protocols`.`amp`.`IBoxSender``

interface documentation

`class IBoxSender(Interface): (source)`

Known implementations: `twisted.protocols.amp.BinaryBoxProtocol`

View In Hierarchy

A transport which can send `AmpBox` objects.

Method | `sendBox` | Send an `AmpBox`.
Method | `unhandledError` | An unhandled error occurred in response to a box. Log it appropriately.

def sendBox(box): (source)
Send an `AmpBox`.

Raises
`ProtocolSwitched` | if the underlying protocol has been switched.
`ConnectionLost` | if the underlying connection has already been lost.

def unhandledError(failure): (source)
An unhandled error occurred in response to a box. Log it appropriately.

Parameters
failure | a `Failure` describing the error that occurred.